Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PATCH \ --url https://prod.featherhq.com/api/v1/agents/{agentId} \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "name": "<string>", "description": "<string>", "callObservabilityEnabled": true } '
{ "agent": { "id": "<string>", "name": "<string>", "description": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "smsPhoneNumbers": [ { "id": "<string>", "phoneNumber": "<string>", "createdAt": "<string>", "updatedAt": "<string>" } ], "inboundPhoneNumbers": [ { "id": "<string>", "phoneNumber": "<string>", "createdAt": "<string>", "updatedAt": "<string>" } ], "outboundPhoneNumbers": [ { "id": "<string>", "phoneNumber": "<string>", "createdAt": "<string>", "updatedAt": "<string>" } ], "callObservabilityEnabled": false } }
Update an existing agent
Agent updated successfully
Show child attributes